Skip to main content
GET
/
v1
/
wallets
/
{addr}
/
positions
Wallet positions & P&L
curl --request GET \
  --url https://api.polynode.dev/v1/wallets/{addr}/positions \
  --header 'x-api-key: <api-key>'
{
  "wallet": "0xc2e7800b5af46e6093872b177b7a5e7f0563be51",
  "count": 2,
  "positions": [
    {
      "asset": "109021283308187724445216748902158026838799197184254281870091204386586933195142",
      "conditionId": "0xca0136d7acc14db3835e40b5d13bc2723ffc7a34a950bef39a2f5a18b07399c3",
      "title": "Trail Blazers vs. Timberwolves",
      "slug": "nba-por-min-2026-03-20",
      "outcome": "Trail Blazers",
      "outcomeIndex": 0,
      "size": 1390067.28,
      "avgPrice": 0.502474,
      "curPrice": 1,
      "initialValue": 698472.66,
      "currentValue": 1390067.28,
      "cashPnl": 691594.61,
      "realizedPnl": 0,
      "percentPnl": 99.02,
      "percentRealizedPnl": 99.02,
      "totalBought": 1390067.28,
      "redeemable": true,
      "negativeRisk": false,
      "endDate": "2026-03-21"
    },
    {
      "asset": "3039641309958397001906153616677074061284510636203465131156925998487819889437",
      "conditionId": "0x895e01dbf3e6a33cd9a44ca0f8cdb5df1bd2b0b6ebed5300d28f8da7145145e4",
      "title": "Will Donald Trump win the 2028 Republican presidential nomination?",
      "slug": "will-donald-trump-win-the-2028-republican-presidential-nomination",
      "outcome": "Yes",
      "outcomeIndex": 0,
      "size": 248651.26,
      "avgPrice": 0.040276,
      "curPrice": 0.0165,
      "initialValue": 10014.68,
      "currentValue": 4102.75,
      "cashPnl": -5911.93,
      "realizedPnl": 0,
      "percentPnl": -59.03,
      "percentRealizedPnl": -59.03,
      "totalBought": 248651.26,
      "redeemable": false,
      "negativeRisk": true,
      "endDate": "2028-11-07"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

addr
string
required

Wallet address (0x-prefixed, case-insensitive)

Query Parameters

limit
integer
default:100

Maximum positions to return (default 100, max 500)

Required range: 1 <= x <= 500
offset
integer
default:0

Pagination offset (default 0)

Required range: x >= 0
sortBy
enum<string>
default:TOKENS

Sort positions by field

Available options:
TOKENS,
CASHPNL,
PERCENTPNL,
CURRENT,
INITIAL,
TITLE,
RESOLVING,
PRICE,
AVGPRICE
sortDirection
enum<string>
default:DESC

Sort direction

Available options:
ASC,
DESC
sizeThreshold
number
default:0

Minimum position size to include (default 0 = all positions)

Required range: x >= 0

Response

Wallet positions with P&L

Wallet positions with P&L breakdown.

wallet
string
required

Wallet address.

count
integer
required

Number of positions returned.

positions
object[]
required